playMaker

Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - cb

Pages: [1] 2 3 ... 5
1
Playmaker Help / Re: Unity 5 WebGL build fails with PM 1.7.8
« on: March 23, 2015, 01:44:20 AM »
Thanks guys,got it sorted. The overlap fix did the job.

2
Playmaker Help / Unity 5 WebGL build fails with PM 1.7.8 [SOLVED]
« on: March 20, 2015, 08:52:12 AM »
All seems to be ok, I have Unity 5.0 working smoothly with PM 1.7.8.2 and I'm building to Android fine. When I switch to WebGL build I get the old..

"Plugin 'PlayMaker.dll' is used from several locations
 Assets/Plugins/PlayMaker/WebGL/PlayMaker.dll would be copied to <PluginPath>/PlayMaker.dll
Please fix plugin settings and try again.
"

I am also using the Fast Platform Switch asset which basically caches the settings for each build you require as a quick alternative to switching platforms inside the Unity Build window. Could this be a cause?
I've run the auto update and as it builds ok to Android it seems to be working well, any ideas on the WebGL build failure?

3
Finally realise what's happening re missing WWWObject action. My Unity settings were originally for WebPlayer, I then switched to Android (I'm trying to develop for the two platforms). When using Android settings there is no WWWObject action available in Playmaker Actions, but becomes available when switched to WebPlayer settings.

Bit confused...should I have access to the WWWObjectaction for non-WebPlayer settings?

4
It shows as soon as the project is loaded. Really, Unity 5 has messed up a lot of my code. There's all sorts of scripts missing. I think I'll sit it out and await the next Unity 5 patch and next PM update :-\

5
Having a strange problem with WWWObject action. Playmaker tells me an object with an FSM that accesses WWWObject can't be created and 'maybe the script was removed' but the WWWObject script is in the Actions folder.

6
User Showcase / Re: Spellotine! for KindleFire & Blackberry
« on: November 04, 2013, 06:37:16 AM »
Ha! Yes, try to keep your head  ;D

7
User Showcase / Spellotine! for KindleFire & Blackberry
« on: November 04, 2013, 05:27:58 AM »
Intense Word Play game, guess the word while up against the clock and the Spellotine!
Developed with PlayMaker and Unity Script.

 

Free to play. Extra content available now as virtual goods, and expanding with all future updates, encompassing a wide range of topics

Out on BlackBerry http://appworld.blackberry.com/webstore/content/38636887/?lang=en&countrycode=GB

and

KindleFireHD UK http://www.amazon.co.uk/PixelsFromSpace-Spellotine/dp/B00G4E3H6U/ref=sr_1_1?ie=UTF8&qid=1383567940&sr=8-1&keywords=spellotine

KindleFire HD USA http://www.amazon.com/s/ref=nb_sb_noss?url=search-alias%3Dmobile-apps&field-keywords=spellotine


8
BlackBerry10 Help / Re: In App Purchasing BB plugin
« on: October 05, 2013, 12:52:03 AM »
Thanks for the offer of help, I'd appreciate it. I can heartily recommend Reigns plugs, the authors very good with feedback. I asked about the Image Save/Load function of the plugin and how it could work with screenshots and he got straight back to me, he's even implemented a screen snapshot feature for the impending update. It's great when you find this level of support.

Whats your BB game and how are you finding the BB market as a whole?

9
BlackBerry10 Help / Re: In App Purchasing BB plugin
« on: October 04, 2013, 02:20:55 PM »
Good news Jean! Hope you get it soon.

@refinedgames, I bought the Unity BB iap plugin from Reign and i'm working my way through that. It's a great bit of code with a few extras like image load/save on devices and Ads integration and more.
My c# is not great, need to get some callbacks working for the IAP in particular.

10
BlackBerry10 Help / In App Purchasing BB plugin
« on: September 27, 2013, 03:03:12 AM »
Slowly working my way through this plugin, I'm always a bit hazy when using C#. Has anyone used this plugin successfully and have any tips or pointers?

Specifically, as I've never touched the area of In App Purchasing before, I'm puzzled as to how it works at purchase point:
 I upload my signed BB app. I wish to add a Non-Consumable Digital Goods item.
So I add this as a Digital Goods SKU (called i.e UnlockAll). This is purchased...then I'm unsure.

I have a simple variable in my Unity app that is set to unlock all levels, how do I set this from the separate, purchased UnlockAll and thus unlock the entire app?

11
Playmaker Help / Re: Stuck, confused, lost.
« on: September 27, 2013, 02:54:52 AM »
Not heard from Unity yet but eventually solved it. I changed my Asset Store profile about a year back. So I logged out, and logged back under my old ID. This then allowed me to download the latest PM upgrade!

So, as I purchased PM under my old login, it wanted me logged in under that ID before it would even show 1.7.5 on my download page.

Curiously, I have bought other assets under both ID's and successfully upgraded all of them under my newest login, including updating Playmaker, with no problems, for the last year or so.
Just update 1.7.5 didn't want to play nicely. >:(

Anyway, worth bearing in mind if you should ever get conflicting update versions or updates not initiating.

12
Playmaker Help / Re: Stuck, confused, lost.
« on: September 26, 2013, 08:59:24 AM »
Ok, have reported this to Unity. Quite bizarre problem :-\

13
Playmaker Help / Re: Stuck, confused, lost.
« on: September 26, 2013, 08:34:56 AM »
From my download page it mainly says 'Waiting for server', but I eventually got it.

Installed into a new project it said 1.6.2.f3. Although it says a new version is available it states "ver 1.6.2" on the downloads page!

Trying to download from the product page simply doesn't work, it flashes up 'Please Wait' then does nothing, but it does say version 1.7.5 (Sep 23, 2013) at the base of the product window. I just can't get it.


14
Playmaker Help / Re: Stuck, confused, lost.
« on: September 26, 2013, 06:03:39 AM »
I'm running Unity 4.2 with Playmaker 1.7.5.f2 Blackberry Version, BB Addons installed. Still getting an error for the MovieTexture: "Assets/PlayMaker/Actions/MovieTextureAudioSettings.cs(33,59): error CS0246: The type or namespace name `MovieTexture' could not be found"
when I try to build to my device. Deleting the MovieTextureAudioSettings action leads to more errors for MovieTexture.

Would a total deletion of Playmaker and then a re-install of PM 1.7.5, then BB addons be the best way around this?

*ALSO* I still only see v1.6.2 as an update option on the Asset Store, but with Release Notes on 1.7.5

15
Playmaker Help / Re: Stuck, confused, lost.
« on: September 26, 2013, 02:45:53 AM »
I'm not sure, I deleted them but more and more kept coming up. In the end, disaster struck, Unity hung, I had to force quit and my Scene became corrupted and refused to load. An hour later I'd fixed a hard drive error, deleted a few non-essential Unity folders and my Scene loaded. But it's put me back a bit, certain geometry is invisible, some bitmaps have lost transparency settings, particles have resized etc...i'm piecing it all back together now, then I'll start again with the IAP integration. It seemed to be the WWW class that was causing me problems in the end, and the BB In App scripts made use of those.

Have you a specific app planned for BB, Jean? I had a contact who got me a device on the strength of my last app AND my project details for my next app that I was building for the BB Store. Last I knew they'd all been taken though.

Pages: [1] 2 3 ... 5